Subject: Summary: DFT and H

From: [email-masked] (Thomas Fox)
Date: Sat, 4 Feb 95 19:00:57 "PST

Dear CCLers,

first of all thanks to all who took the time and the effort to answer
my question on the calculation of the H radical with G92-DFT. The original
message as well as the responses are at the end of this mail.
It seems that I really encountered a bug in my G92 version, that has been 
fixed in a later release (see the mail from Gary Trucks).

Many of you pointed out that for an one electron system the exchange and
the correlation energy are equal zero. Therefore, the energy that one
achives by using HF can not be improved by a correlation treatment and is
the best energy you can get with a given basis set.

It is certainly true that for one electron there is no correlation
nor exchange. 
However, the behavior of density functional theory is a little different. 
As all functionals are based explicitly on the electron density and not on
individual electrons, one always gets energy contributions arising from these 
terms, even in the case of one single electron. Another important point is 
the fact that in DFT one always calculates the interaction of an electron 
with its own density. This is in contrast to HF, which is self-interaction 
free, and has to be corrected for if one is interested in accurate energies.

Of course, in a one electron system like the H radical one would expect that
all these terms cancel out, so that one would, ideally, end up with the
HF energy. However, these cancellations are not complete, as 
the following list shows. Here I calculated the total energy of the H 
radical with various combinations of X and C functionals.  I think it 
becomes quite clear that adding a Correlation functional has definitely
an impact on the calculated energies...

Method                            E [a.u.]

UHF                              -0.498233

DFT with Exchange only:
Slater exchange                  -0.454027
Xalpha                           -0.467196
Becke88                          -0.495446

DFT with Exchange and Correlation functionals:
Slater X + Vosko-Wilk-Nusair C   -0.493937
Slater X + VWN Functional V      -0.476044
Becke88  + VWN                   -0.535774

Therefore, the notion that in a one electron system the contributions from
the exchange and the correlation functionals to the total energy are zero,
is just wrong.

I guess that part of the confusion arises from the misconception that the 
exchange and correlation functionals in DFT are a one-to-one equivalent to the 
exchange and the correlation many are used to from dealing with the HF method. 
In my view (please, correct me if Im wrong - my lectures on DFT have
been a while, and both my books and the lecture notes are on the other side
of the atlantic :-(), implementing DFT you try to keep your functionals for 
the kinetic and potential energy as simple as possible, and try to compensate 
for that by an appropriate form the the XC functionals (think e.g. of the 
self interaction correction). Maybe someone of you who has more insight and 
experience with DFT could comment on this?

Another question, more from the practical side: As one can see from the
above table, obviously some of the combinations of X and C functionals do
a better job (energy-wise) than others. Now in G92 there are a couple of
different combinations possible - is there any experience which combinations
to avoid, or which one have shown to give the most reliable energies for
chemical reactions, conformational equilibria etc.?

Thanks again to all who shared their thoughts - obviously the problem of
XC contributions in DFT is not as trivial as it may seem...

Th.

And here the original question and the answers:

> I was using the DFT module of Gaussian 92 (HP-PARisc-HPUX-G92/DFT-RevF.4)
> and came across something that looks like a bug to me: when I try to
> calculate an one-electron system (like the H atom) and use the Lee-Yang-Parr
> functional, my G92 version stops with an IEEE division by zero error.
> I browsed through the code, and sure enough found in the LYP subroutine
> a division by Rho(Beta), which is, in the case of one electron, equal zero.
> I dont have access to the original paper right now, so could someone just
> reassure me that this behavior is definitely an unexpected one, and that
> it doesnt mean that the LYP functional is not valid in the limit of one
> electron or if I only have electrons of one spin species (Gaussian shouldnt 
> abort that ungracefully, anyway...).
> 
> ###########################################################################
> From: [email-masked] (Bill Schneider)
> 
> Thomas,
> 
> The LYP functional is intended to approximate the alpha-beta correlation energy
> in a system.  A one-electron system can have no alpha-beta correlation energy
> (there are no beta electrons!) so why would one apply the LYP functional (or
> any correlation functional) to a one-electron system?  You should use the Becke
> exchange formula (which in part accounts for electron self-interaction) and not
> use the LYP functional.
> 
> Hope that helps.
> 
> +-----+-----+-----+-----+-----+-----+-----+-----+-----+-----+-----+-----+-----+
> Bill Schneider				e-mail: [email-masked]
> Chemistry Department			        [email-masked]
> Ford Motor Co., Drop 3083/SRL		phone:  (313) 323-2064
> Dearborn MI 48121-2053			FAX:    (313) 594-2923
> ###########################################################################
> 
> From: [email-masked] (Chengteh Lee)
> 
> E(LYP) is equal to 0 for H atom with one electron, no correlation.
> 
> Chengteh Lee
> Cray Research, Inc.
> 655E Lone Oak Dr.
> Eagan, MN 55121
> 
> ###########################################################################
> 
> From: [email-masked] (Frederick Bennett)
> 
> Dear Thomas,
>             as far as I know, this error is probably not unexpected as a
> one electron system has no correlation energy. Try calculating correlation
> energy for H using any correlation method any any package you can find and
> you will see what I mean. Same applies to triples corrections to two
> electron systems, it means nothing. The hartree-fock energy is as good as
> you will get. Even if you are looking at the reaction for example, H + F
> --> HF, the De is just the correlated energy of the HF system minus the
> correlation energy of F minus the HF energy of the H.
> 
>  Hope that this helps.
> 
>  Regards
> 
>  Fred.
> 
> ###########################################################################
> 
> From: [email-masked] (Frank Haase)
> 
> Hi Thomas,
> 
> I've access to TURBOMOLE/DFT  and carried out a restr. open shell duplet
> calc. on the H radical. these are the B3-LYP energies ....
> 
> $energy      SCF           BASIS SET
>    3   -.4018748181423      31G  (from HONDO)
>    4   -.4010021703054      311G  (from HONDO)
> $end
> 
> hope this helps. I recommend to carefully check the B3-LYP energies
> of G92 since we have detected discrepancies in the energies between CADPACK and
> TURBOMOLE on the one hand and G92 on the other hand for medium sized systems 
> (beyond 150 BFs).
> 
> regards
> frank
> -- 
> ---------------------------------------------------------------------------
>                                 Frank Haase                 
>                                 E-mail: [email-masked]
> ---------------------------------------------------------------------------
> ###########################################################################
> From: [email-masked]
> 
> How can any self-respecting method not have trouble computing correlation
> energies by any means at all for a 1 electron system ?...Think about it...
> 
> Regards,
> 
> John
> 
> -- 
> 
> John M. McKelvey			email: [email-masked]
> Computational Science Laboratory	phone: (716) 477-3335
> 2nd Floor, Bldg 83, RL
> Eastman Kodak Company			
> Rochester, NY 14650-2216
> 
> ###########################################################################
> From: [email-masked]
> 
> >I was using the DFT module of Gaussian 92 (HP-PARisc-HPUX-G92/DFT-RevF.4)
> >and came across something that looks like a bug to me: when I try to
> >calculate an one-electron system (like the H atom) and use the Lee-Yang-Parr
> >functional, my G92 version stops with an IEEE division by zero error.
> >I browsed through the code, and sure enough found in the LYP subroutine
> >a division by Rho(Beta), which is, in the case of one electron, equal zero.
> >I dont have access to the original paper right now, so could someone just
> >reassure me that this behavior is definitely an unexpected one, and that
> >it doesnt mean that the LYP functional is not valid in the limit of one
> >electron or if I only have electrons of one spin species (Gaussian shouldnt 
> >abort that ungracefully, anyway...).
> 
> This is definitely not the correct behavior -- it's a bug in the code 
> I wrote for Gaussian.  Not long after Gaussian obtained the code from me,
> I came across the bug and comunicated it to Gaussian, Inc. but apparently
> they have not done anything about it.
> 
> >A related question is how to get in contact with these Gaussian guys...I
> >sent a message to [email-masked] some weeks ago, but havent heard from 
> >them back.
> 
> >And, could anybody who has access to a DFT implementation (maybe there is
> >even a G92 version out there that doesnt show this behavior) that 
> >supports Becke 3 parameter XC in connection with the LYP C functional
> >calculate the energy for a H radical (with a 6-31G* basis) for me? Pointers
> >to papers where this has been done (maybe as a test case for the functional)
> >are, of course, also highly welcome.
> 
> I could do the calculation for you using the Q-Chem program, which doesn't
> have this bug.  You'd need to send me the parameters used in the Becke3LYP
> functional, though.  There seems to be a lot of confusion in the literature
> over the definition of this method.  To my knowledge, there has never been a 
> paper published in which the definition of the Becke3LYP method in G92/DFT
> has actually been given, nor does there seem to be any systematic validation
> study thoroughly documenting its performance.
> 
> I don't know if you're aware, but the method in G92/DFT is not a method of
> Becke's.  I have talked with Becke about this, and he is quite skeptical
> about the validity of using the particular LYP functional with his
> half-and-half approach employing his exchange functional.  So, you may want
> to reconsider whether this method is the one you actually want to use.
> 
> Best regards,
> Benny Johnson
> Q-Chem, Inc.
> 317 Whipple St.
> Pittsburgh, PA  15218
> 
> ###########################################################################
> From: [email-masked] (Gary Trucks)
> 
> Thomas Fox wrote:
> >>I was using the DFT module of Gaussian 92 (HP-PARisc-HPUX-G92/DFT-RevF.4)
> >>and came across something that looks like a bug to me: when I try to
> >>calculate an one-electron system (like the H atom) and use the Lee-Yang-Parr
> >>functional, my G92 version stops with an IEEE division by zero error.
> 
> This problem was fixed some time ago (G92/DFT Rev.G); it does not affect
> systems with more electrons. If you need this fix, contact Gaussian, Inc.,
> and it will be sent to you at no charge.
> 
> Benny Johnson responded:
> >There seems to be a lot of confusion in the literature over the definition
> >of this method.  To my knowledge, there has never been a paper published in
> >which the definition of the Becke3LYP method in G92/DFT has actually been
> >given, nor does there seem to be any systematic validation study thoroughly
> >documenting its performance.
> 
> This is not correct. Becke3LYP is specified completely and calibrated in
> numerous papers and presentations.  Here are a few examples:
> 
>    P.J. Stephens, F.J. Devlin, M.J. Frisch and C.F. Chabalowski, 
>    "Ab Initio Calculations of Vibrational Absorption and Circular 
>    Dichroism Spectra Using SCF, MP2, and Density Functional Theory
>    Force Fields," J. Phys. Chem. 98, 11623 (1994).
> 
>    Yue Qin and Ralph A. Wheeler, "Density-functional methods give 
>    accurate vibrational frequencies and spin densities for phenoxyl
>    radical," J. Chem. Phys. 102, 1689 (1995).
> 
>    Cary Chabalowski, "Current trends in Computational Chemistry"
> 
>    Phil Stephens, "Faraday Discussions"
> 
>    P.J. Stephens, F.J. Devlin, C.S. Ashvar, C.F. Chabalowski and 
>    M.J. Frisch, "Theoretical Calculation of Vibrational Circular 
>    Dichroism Spectra," Faraday Discucc. 99 (1994) in press.  
>  
> (Phil's work was also discussed in C&E News, January 16 (1995) 27.)
> 
> Johnson continues:
> >I don't know if you're aware, but the method in G92/DFT is not a method of
> >Becke's.  I have talked with Becke about this, and he is quite skeptical
> >about the validity of using the particular LYP functional with his
> >half-and-half approach employing his exchange functional.  So, you may want
> >to reconsider whether this method is the one you actually want to use.
> 
> This confuses the Becke3LYP functional with Becke's half-and-half theory.
> Becke3LYP is based on the suggestion by Becke of exact (i.e., Hartree-Fock)
> exchange with local and gradient-corrected exchange and correlation terms
> (A.D. Becke, "Density-functional thermochemistry III. The role of exact
> exchange," J. Chem. Phys. 98, 5648 (1993)) and is *NOT* based on his half-
> and-half theory (A.D. Becke, "A new mixing of Hartree-Fock and local density-
> functional theories," J. Chem. Phys. 98, 1372 (1993)).
> 
> Sincerely,
> 
> Gary Trucks
> Gaussian, Inc.
> 
> ###########################################################################
--

Thomas Fox                               e-mail: [email-masked]
Dept. of Pharmaceutical Chemistry
University of California
San Francisco, CA 94143-0446
				 ,,,  
                                (o o)
-----------------------------ooo-(^)-ooo-------------------------------------
                                  U  
The years of peak mental activity are undoubtedly between the ages of
four and eighteen. At four we know all the questions, at eighteen all
the answers.
-----------------------------------------------------------------------------

           $$$  Disclaimer: opinions blah blah blah mine...  $$$
				 ***